/**
 * The library is subject to the Mozilla Public License Version 1.1.
 * Alternatively, the library may be used under the terms of either
 * the GNU General Public License Version 2 or later,
 * or the GNU Lesser General Public License 2.1 or later. 
 */
package com.skyarts.android.universalchardetect;

/**
 * IUniversalCharDetectService
 *
 * @author SkyArts.com
 * @version 1.0
 */
interface IUniversalCharDetectService {

   /**
    * Return a encoding name.
    *
    * @param buf A value to detect.
    * @param offset The index of the first byte.
    * @param length The number of bytes.
    * @return Return a encoding name. Return null when cannot detect it.
    */
    String getDetectedCharset(in byte[] buf, int offset, int length);
}
